Skip to main content
GET
JavaScript

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-ACCOUNT-ID
string

Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.

X-ENVIRONMENT-ID
string

Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).

Query Parameters

limit
integer
default:20

Maximum number of items to return

Required range: 1 <= x <= 100
after
string

Return items that come after this cursor

Maximum string length: 255
before
string

Return items that come before this cursor

Maximum string length: 255
customerId
string
required

Filter by customer ID (required)

Maximum string length: 255
resourceId
string

Filter by resource ID

Maximum string length: 255
currencyId
string

Filter by currency ID

Maximum string length: 255
eventType
string

Filter by event type(s), comma-separated

Maximum string length: 255

Response

A paginated list of credit ledger event objects.

Paginated list of credit ledger events

data
CreditLedgerEvent · object[]
required
pagination
object
required

Pagination metadata including cursors for navigating through results